<?php

class actionTurboampTurboForm extends cmsAction {

    public function run($id = false){
		
		if ($id){
			$item = $this->model->getItemById('turbo_pages', $id);
			if (!$item){ cmsCore::error404(); }
		}
		
        $form = $this->getForm('turbo', array(!empty($item['ctype_name']) ? $item['ctype_name'] : false));
        $is_submitted = $this->request->has('submit');

        if ($is_submitted) {
            $item = $form->parse($this->request, $is_submitted);
            $errors = $form->validate($this, $item);
            if(!$errors) {
                $result = $id ? $this->model->update('turbo_pages', $id, $item) : $this->model->insert('turbo_pages', $item);
				if ($result){
					cmsUser::addSessionMessage(LANG_SUCCESS_MSG, 'success');
				} else {
					cmsUser::addSessionMessage('Не удалось сохранить данные.', 'error');
				}
                $this->redirectToAction('turbo');
            } else {
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
        }

        return $this->cms_template->render('backend/turbo_form', array(
			'do' 	 => $id ? 'edit' : 'add',
			'form' 	 => $form,
			'item' 	 => isset($item) ? $item : false,
			'errors' => isset($errors) ? $errors : false,
			'id' 	 => $id
		));
    }
}