<?php

class formTurboampTurbo extends cmsForm{

    public function init($ctype_name = false){

		$content_model = cmsCore::getModel('content');
		$fields_list = array(''=>'');
		
		if ($ctype_name){
			$ctype = $content_model->getContentTypeByName($ctype_name);
			$fields = $content_model->getContentFields($ctype['name']);
			if ($fields){ $fields_list = array(''=>'') + array_collection_to_list($fields, 'name', 'title'); }
		}

        return array(
            array(
                'type' => 'fieldset',
                'childs' => array(

                    new fieldList('ctype_name', array(
						'title' => LANG_CONTENT_TYPE,
						'rules' => array(
                            array('required')
                        ),
                        'generator' => function($ctype) use ($content_model){
                            $ctypes = $content_model->selectOnly('i.id, i.name i.title')->getContentTypes();
                            return array(''=>'') + array_collection_to_list($ctypes, 'name', 'title');
                        }
                    )),
					
					new fieldList('title_field', array(
                        'title' => 'Поля заголовок',
						'parent' => array(
							'list' => 'ctype_name',
							'url' => href_to('turboamp', 'fields')
						),
						'rules' => array(
                            array('required')
                        ),
						'items' => $fields_list
                    )),

					new fieldList('content_field', array(
                        'title' => 'Поля текст',
						'parent' => array(
							'list' => 'ctype_name',
							'url' => href_to('turboamp', 'fields')
						),
						'rules' => array(
                            array('required')
                        ),
						'items' => $fields_list
                    )),
					
					new fieldList('photo_field', array(
                        'title' => 'Поля изображение',
						'parent' => array(
							'list' => 'ctype_name',
							'url' => href_to('turboamp', 'fields')
						),
						'items' => $fields_list
                    )),

                )
            )
        );
    }
}