<?php

function grid_turbo($controller) {
	
    $options = array(
        'is_sortable' => false,
        'is_filter' => false,
        'is_pagination' => false,
        'is_draggable' => false,
		'is_selectable' => false, 
        'order_by' => 'id',
        'order_to' => 'desc',
        'show_id' => false
    );

    $columns = array(
        'id' => array(
            'title' => 'id',
            'width' => 30,
        ),
        'title' => array(
            'title' => LANG_TITLE,
            'href' => href_to($controller->root_url, 'turbo_form', array('{id}')),
        ),
		'file' => array(
            'title' => 'Файлы',
        ),
		'title_field' => array(
            'title' => 'Поля заголовок',
			'width' => 110,
			'handler' => function($title_field){
                return $title_field ? $title_field : LANG_NO;
            }
        ),
		'content_field' => array(
            'title' => 'Поле текст',
			'width' => 80,
			'handler' => function($content_field){
                return $content_field ? $content_field : LANG_NO;
            }
        ),
		'photo_field' => array(
            'title' => 'Поле фото',
			'width' => 80,
			'handler' => function($photo_field){
                return $photo_field ? $photo_field : LANG_NO;
            }
        )
    );

    $actions = array(
        array(
            'title' => LANG_EDIT,
            'class' => 'edit',
            'href' => href_to($controller->root_url, 'turbo_form', array('{id}')),
        ),
        array(
            'title' => LANG_DELETE,
            'class' => 'delete',
            'href' => href_to($controller->root_url, 'delete', array('{id}')),
            'confirm' => LANG_DELETE
        )
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );
}