<?php

class onTurboampCronTurbo extends cmsAction {
	
	private $max_count = 400;

    public function run(){

        $sources_list = $this->model->
			select('c.title')->
			joinLeft('content_types', 'c', 'i.ctype_name = c.name')->
			get('turbo_pages');
        if (!$sources_list) { return false; }

        if (!is_writable($this->cms_config->root_path . 'upload/turbopages/')){
            return false;
        }

        foreach ($sources_list as $list){
			
			$fields = "i.id, i.slug, i.{$list['title_field']}, i.{$list['content_field']}";
			if (!empty($list['photo_field'])){
				$fields .= ', i.' . $list['photo_field'];
			}

            $items = $this->model->
						selectOnly($fields)->
						filterNotEqual('is_private', 1)->
						filterNotEqual('is_approved', 0)->
						limit(false)->
						orderBy('i.date_pub', 'DESC')->
						useCache('content.list.' . $list['ctype_name'])->
						get('con_' . $list['ctype_name']);

			if (!$items){ continue; }

			if(count($items) > $this->max_count){

				$chunk_data = array_chunk($items, $this->max_count, true); unset($items);
				foreach ($chunk_data as $index => $chunk_urls) {
					$index = $index ? '_'.$index : '';
					file_put_contents(
						$this->cms_config->root_path . "upload/turbopages/sitemap_{$list['ctype_name']}{$index}.xml",
						html_minify($this->cms_template->renderInternal($this, 'sitemap', array(
							'items' => $chunk_urls,
							'list' => $list,
							'host' => $this->cms_config->host
						)))
					);
				}

			} else {

				file_put_contents(
					$this->cms_config->root_path . "upload/turbopages/sitemap_{$list['ctype_name']}.xml",
					html_minify($this->cms_template->renderInternal($this, 'sitemap', array(
						'items' => $items,
						'list' => $list,
						'host' => $this->cms_config->host
					)))
				);
			
			}

        }

        return true;

    }

}
