<?php 
	if (!empty($this->options['logo'])){
		$logo = $config->upload_root . $this->options['logo']['original'];
	} else {
		$logo = '/templates/default/images/logo.png';
	}
	
	$photo = 'photo';
	if (!isset($this->ampItem[$photo])){
		foreach($this->ampFields as $name => $field){
			if ($field['type'] != 'image'){ continue; }
			$photo = $name;
			break;
		}
	}

	$img = false; $w = false; $h = false;
	if (!empty($this->ampItem[$photo])){
		$img = $config->host . html_image_src($this->ampItem[$photo], $this->ampFields[$photo]['options']['size_full'], true);
		list($w, $h) = @getimagesize($img);
	}

?>
<!doctype html>
<html amp>
<head>
	<link rel="canonical" href="<?php html($config->host . $_SERVER['REQUEST_URI']); ?>" />
	<meta charset="utf-8">
    <meta name="viewport" content="width=device-width,minimum-scale=1">
	<style amp-custom>	
	body{background: #eee;width:100%;min-height:100vh;line-height:20px;font-size:14px;margin:0;height:auto;flex-direction:column;display:flex}
	main{margin:0 auto;display:block;width:100%;flex:1}
	main ul:first-child{margin:0;padding:0;list-style:none;background:#fff;overflow:hidden}
	main ul:first-child li{float:left;padding:8px}
	main ul:first-child li.home, main ul:first-child li:nth-child(2){display:none}
	main ul:first-child li.sep{background:#ddd;height:26px;width:1px;padding:0;margin:5px 3px}
	main ul:first-child li a{color:#387796}
	#mob_content{background:#fff;padding:10px;border-top:1px solid #ddd;color:#444;font-size:16px}		
	#mob_content h1{margin:0 0 10px;font-size:16px}
	#mob_content .info_bar{border:1px solid #ddd;margin-top: 10px;overflow:hidden}
	#mob_content .info_bar .bar_item{float:left;margin-right:5px;padding:6px;border-right:1px solid #ddd}
	#mob_content .info_bar .bar_item:last-child{border-right:none}
		
	a{text-decoration:none;color:#4c75c1}
	hr{display:block;height:1px;border:0;border-top:1px solid rgba(76, 72, 72, 0.2);margin:0;padding:0}
	#drawermenu{width:320px;background:#ecf0f1}
	#drawermenu a{color:#444;font-family:sans-serif}
	#drawermenu .close{float:right;top:14px;margin-right:14px;cursor:pointer}
	#drawermenu .topheader{margin:7px 15px 6px}
	#drawermenu .home{font-weight:500;font-size:16px;line-height:36px;font-weight:bold}
	#drawermenu ul{margin:0;padding:0;list-style:none}
	#drawermenu ul li{border-bottom:1px solid rgba(142, 135, 135, 0.2);margin-bottom:5px}
	#drawermenu ul li a{display:block;padding:8px 8px 8px 16px}
	#drawermenu ul li ul{display:none}
	
	header{display:flex;flex-direction:row;align-items:center;justify-content:space-between;background:#ecf0f1}
	header #hamburger{padding:5px;height:40px;line-height:52px;min-width:40px;display:block;float:left;text-align:center}
	header #logo{background-position:30% center;background-repeat:no-repeat;height:50px;width:100%;background-image:url("<?php html($logo); ?>")}
	footer {
		font-size: 14px;
		font-weight: 700;
		background-color: #f1f2f4;
		padding: 15px;
		border-top: 1px solid #ccd2d8;
		border-bottom: 1px solid #ccd2d8;
		color: #233241
	}
	.ctype_navigation{overflow:hidden}.next_ctype_navigation{float:right;border-left:5px solid #FFF}.previous_ctype_navigation{float:left;border-right:15px solid #FFF}.next_ctype_navigation,.previous_ctype_navigation{width:50%;box-sizing:border-box;overflow:hidden;background-color:#ecf0f1}.ctype_navigation>div:last-child{width:100%}.ctype_navigation .previous_ctype_navigation+.next_ctype_navigation{width:50%}.next_ctype_navigation a,.previous_ctype_navigation a{display:block;padding:10px 20px;text-decoration:none;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#2c3e50;text-align:center}.next_ctype_navigation a:hover,.previous_ctype_navigation a:hover{background:#dfe6e8}@media screen and (max-width:480px){.next_ctype_navigation,.previous_ctype_navigation{width:100%;border:none;margin:0 0 5px}.ctype_navigation .previous_ctype_navigation+.next_ctype_navigation{width:100%;margin:0}}
	#mob_content h1{font-size: 22px;line-height: 24px;}
	h2{font-size:20px}
	h3{font-size:18px}
	h4{font-size:16px}
	h5{font-size:14px}
	h6{font-size:13px}
	</style>	
	<title><?php $this->title(); ?></title>
	<?php $this->head(true, false, false); ?>
	<script async custom-element="amp-sidebar" src="https://cdn.ampproject.org/v0/amp-sidebar-0.1.js"></script>
	<style amp-boilerplate>body{-webkit-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-moz-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-ms-animation:-amp-start 8s steps(1,end) 0s 1 normal both;animation:-amp-start 8s steps(1,end) 0s 1 normal both}@-webkit-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-moz-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-ms-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-o-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}</style><noscript><style amp-boilerplate>body{-webkit-animation:none;-moz-animation:none;-ms-animation:none;animation:none}</style></noscript>
    <script async src="https://cdn.ampproject.org/v0.js"></script>
</head>
<body>
    <amp-sidebar id='drawermenu' layout="nodisplay">
		<amp-img class='close' src="/templates/default/images/icons/menu.png" width="22" height="20" alt="Close" on="tap:drawermenu.close" role="button" tabindex="0"></amp-img>
		<div class="topheader">
			<a href="<?php echo href_to_home(); ?>" class="home"><?php html($config->sitename); ?></a>
		</div>
		<hr/>
		<?php $this->menu('main', 1, 'menu', 0, true, 'menu'); ?>
    </amp-sidebar>
    <header>
		<a id="hamburger" class="button" on='tap:drawermenu.toggle'>
			<amp-img srcset="/templates/default/images/icons/menu.png 1x, /templates/default/images/icons/menu.png 2x" width="22" height="20" alt="navigation"></amp-img>
		</a>
		<a id="logo" href="/"></a>
    </header>
    <main>
		<?php if ($config->show_breadcrumbs && $this->isBreadcrumbs()){ $this->breadcrumbs(); } ?>
		<?php if ($this->isBody()){ ?>
			<div id="mob_content">

				<?php if ($this->ampFields['title']['is_in_item']){ ?>
					<h1>
						<?php html($this->ampItem['title']); ?>
						<?php if ($this->ampItem['is_private']) { ?>
							<span class="is_private" title="<?php html(LANG_PRIVACY_HINT); ?>"></span>
						<?php } ?>
					</h1>
					<?php if ($this->ampItem['parent_id'] && !empty($this->ampCtype['is_in_groups'])){ ?>
						<h2 class="parent_title item_<?php echo $this->ampItem['parent_type']; ?>_title">
							<a href="<?php echo rel_to_href($this->ampItem['parent_url']); ?>"><?php html($this->ampItem['parent_title']); ?></a>
						</h2>
					<?php } ?>
					<?php unset($this->ampFields['title']); ?>
				<?php } ?>

				<div class="content_item news_item">

					<?php if ($img && $w && $h){ ?>
						<div class="field ft_image f_photo left_field">
							<div class="value">
								<amp-img src="<?php html($img); ?>" title="<?php html($this->ampItem['title']); ?>" alt="<?php html($this->ampItem['title']); ?>" layout="responsive" width="<?php html($w); ?>" height="<?php html($h); ?>"></amp-img>
							</div>
						</div>
					<?php } ?>

                    <div class="field ft_html f_content auto_field">
                        <div class="value"><?php echo strip_tags($this->ampItem['content'], '<p><b><a><i><strong><h2><h3><h4><h5>'); ?></div>
                    </div>

					<div class="info_bar">
						<div class="bar_item bi_date_pub" title="Дата публикации">
							<?php echo $this->ampFields['date_pub']['html']; ?>
						</div>
						<div class="bar_item bi_user" title="Автор">
							<?php echo $this->ampFields['user']['html']; ?>
						</div>
					</div>
    
				</div>

			</div>
		<?php } ?>
	</main>
	<footer>
		<?php echo (!empty($this->options['copyright'])) ? $this->options['copyright'] : LANG_POWERED_BY_INSTANTCMS; ?>
	</footer>
</body>
</html>
